docs

# filterMediaGroupMessages

inline fun < T : MediaGroupContent > Flow< SentMediaGroupUpdate >. filterMediaGroupMessages (): Flow< List < CommonMessage < T >>>
Content copied to clipboard
inline fun < T : MediaGroupContent > FlowsUpdatesFilter . filterMediaGroupMessages (scopeToIncludeChannels: CoroutineScope? = null): Flow< List < CommonMessage < T >>>
Content copied to clipboard

## Parameters

scopeToIncludeChannels

This parameter is required when you want to include SentMediaGroupUpdate for channels too. In this case will be created new channel which will aggregate messages from FlowsUpdatesFilter.messagesFlow and FlowsUpdatesFilter.channelPostsFlow. In case it is null will be used Flows mapping